Bug 713107 - `yum install device-mapper-devel` fails
`yum install device-mapper-devel` fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
:
: 713619 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-14 06:20 EDT by Adam Tkac
Modified: 2013-04-30 19:49 EDT (History)
15 users (show)

See Also:
Fixed In Version: lvm2-2.02.84-3.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-24 13:55:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Tkac 2011-06-14 06:20:04 EDT
Description of problem:
# yum install device-mapper-devel
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package device-mapper-devel.x86_64 0:1.02.63-1.fc15 will be installed
--> Processing Dependency: device-mapper = 1.02.63-1.fc15 for package: device-mapper-devel-1.02.63-1.fc15.x86_64
--> Finished Dependency Resolution
Error: Package: device-mapper-devel-1.02.63-1.fc15.x86_64 (fedora)
           Requires: device-mapper = 1.02.63-1.fc15
           Installed: device-mapper-1.02.63-2.fc14.x86_64 (@updates-testing/14)
               device-mapper = 1.02.63-2.fc14
           Available: device-mapper-1.02.63-1.fc15.x86_64 (fedora)
               device-mapper = 1.02.63-1.fc15
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Version-Release number of selected component (if applicable):
lvm2-2.02.84-1.fc15

How reproducible:
always

Steps to Reproduce:
1. install and update F14 machine; make sure device-mapper is installed and device-mapper-devel isn't
2. update the machine to F15
3. try to install device-mapper-devel pkg
  
Actual results:
Installation of device-mapper-devel fails

Expected results:
device-mapper-devel is installed successfully

Additional info:
After quick inspection problem is that device-mapper in F14-updates repo is newer than device-mapper in F15 repo (device-mapper is subpkg of the lvm2 pkg).

$ koji latest-pkg dist-f15-updates lvm2
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
lvm2-2.02.84-1.fc15                       dist-f15              agk

$ koji latest-pkg dist-f14-updates lvm2
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
lvm2-2.02.84-2.fc14                       dist-f14-updates      zkabelac
Comment 1 Alasdair Kergon 2011-06-14 07:49:39 EDT
Install that package from the f14 repo then. (E.g. using yum's --disablerepo / --enablerepo options.)  Or downgrade to the f15 version.
Comment 2 Alasdair Kergon 2011-06-16 07:06:09 EDT
*** Bug 713619 has been marked as a duplicate of this bug. ***
Comment 3 Fedora Update System 2011-06-23 04:01:32 EDT
lvm2-2.02.84-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/lvm2-2.02.84-3.fc15
Comment 4 Fedora Update System 2011-06-23 23:49:57 EDT
Package lvm2-2.02.84-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lvm2-2.02.84-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/lvm2-2.02.84-3.fc15
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-06-24 13:55:32 EDT
lvm2-2.02.84-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.